<header class="header">

  <h1>CompuHouse</h1>

  <div class="right">

    <!-- User logged dropdown -->

    <button *ngIf="user$ | async; else showLoginMenu" class="user-dropdown" mat-button [matMenuTriggerFor]="menu">¡Hola,
      {{ (user$ | async).username }}!
      <mat-icon>expand_more</mat-icon>
    </button>
    <mat-menu #menu="matMenu">
      <button mat-menu-item *ngIf="(user$ | async) && (user$ | async).role === 'admin'"
        (click)="openCreateCategoryDialog()">
        <mat-icon>category</mat-icon>
        <span>Crear categoría</span>
      </button>
      <button mat-menu-item *ngIf="(user$ | async) && (user$ | async).role === 'admin'"
        (click)="openCreateProductDialog()">
        <mat-icon>inventory_2</mat-icon>
        <span>Crear producto</span>
      </button>
      <button mat-menu-item (click)="logout()">
        <mat-icon>logout</mat-icon>
        <span>Cerrar sesión</span>
      </button>
    </mat-menu>

    <!-- Login menu -->
    <ng-template #showLoginMenu>
      <button mat-button (click)="openLoginDialog()"> Identifícate
        <mat-icon>login</mat-icon>
      </button>
    </ng-template>

    <!-- Cart button -->
    <button *ngIf="user$ | async" mat-button (click)="toggleCartSidenav()">
      <mat-icon [matBadge]="total$ | async">shopping_cart</mat-icon>
    </button>

  </div>
</header>